Bug 476387 - Review Request: vhd2vl - VHDL to Verilog translator
Review Request: vhd2vl - VHDL to Verilog translator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 18:22 EST by Chitlesh GOORAH
Modified: 2008-12-21 18:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 18:40:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2008-12-13 18:22:33 EST
Spec URL: http://chitlesh.fedorapeople.org/RPMS/vhd2vl.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/vhd2vl-2.0-1.fc10.src.rpm
Description:
vhd2vl is a VHDL to Verilog translation program.
It targets the translation of synthetisable RTL.
While far from complete it supports a useful
subset of VHDL, sufficient for complex designs.
Comment 1 manuel wolfshant 2008-12-13 22:42:54 EST
please either use parallel build or make a note about it being non-functional in the spec.
Anyway, mock build fails:

+ /usr/bin/make -C src
make: Entering directory `/builddir/build/BUILD/vhd2vl/src'
flex -i vhd2vl.l
bison -d -v -t vhd2vl.y
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -m
tune=generic -O -g -o vhd2vl lex.yy.c vhd2vl.tab.c -lfl
lex.yy.c: In function 'yylex':
vhd2vl.l:144: warning: ignoring return value of 'fwrite', declared with attribute warn_unused_result
vhd2vl.l: At top level:
lex.yy.c:1670: warning: 'yyunput' defined but not used
lex.yy.c:1713: warning: 'input' defined but not used
vhd2vl.y: In function 'yyparse':
vhd2vl.y:850: error: expected ';' before '}' token
vhd2vl.y:851: error: expected ';' before '}' token
vhd2vl.y:1389: error: expected ';' before '}' token
make: *** [vhd2vl] Error 1
make: Leaving directory `/builddir/build/BUILD/vhd2vl/src'
error: Bad exit status from /var/tmp/rpm-tmp.14SfcI (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.14SfcI (%build)
Comment 3 manuel wolfshant 2008-12-15 03:35:25 EST
Are you targeting only F10 ? rawhide build still fails: http://koji.fedoraproject.org/koji/taskinfo?taskID=998903
Comment 4 Chitlesh GOORAH 2008-12-15 13:36:08 EST
Updated:
Spec URL: http://chitlesh.fedorapeople.org/RPMS/vhd2vl.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/vhd2vl-2.0-3.fc10.src.rpm

Scratch Build F-11
https://koji.fedoraproject.org/koji/taskinfo?taskID=999932

Upstream will be notified about the patch.
Comment 5 manuel wolfshant 2008-12-16 07:44:59 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type per spec: GPLv2
     License type per source: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 4df3a2cc531d9fcd4a51d7f8e14aec41d8db0d69 vhd2vl-2.0.tar.gz                                                   [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.                                                                                                                                 [-] The spec file handles locales properly.                                                                                          [-] ldconfig called in %post and %postun if required.                                                                                [x] Package must own all directories that it creates.                                                                                [x] Package requires other packages for directories it uses.                                                                         [x] Package does not contain duplicates in %files.                                                                                   [x] Permissions on files are set properly.                                                                                           [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.                                                                                                [x] Package contains code, or permissable content.                                                                                   [-] Large documentation files are in a -doc subpackage, if required.                                                                 [x] Package uses nothing in %doc for runtime.                                                                                        [-] Header files in -devel subpackage, if present.                                                                                   [-] Static libraries in -devel subpackage, if present.                                                                               [-] Package requires pkgconfig, if .pc files are present.                                                                            [-] Development .so files in -devel subpackage, if present.
[-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if availabl
e.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.


=== Issues ===
1. License field should be changed to GPLv2+ before commit


================
*** APPROVED ***
================
Comment 6 Chitlesh GOORAH 2008-12-17 14:33:58 EST
Thank you, I will update it before committing.

New Package CVS Request
=======================
Package Name: vhd2vl
Short Description: VHDL to Verilog translator
Branches: F-9 F-10 EL-5
Owner: chitlesh
Comment 7 Kevin Fenzi 2008-12-17 19:12:57 EST
cvs done.
Comment 8 Fedora Update System 2008-12-20 13:24:46 EST
vhd2vl-2.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/vhd2vl-2.0-3.fc9
Comment 9 Fedora Update System 2008-12-20 13:24:49 EST
vhd2vl-2.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vhd2vl-2.0-3.fc10
Comment 10 Fedora Update System 2008-12-21 18:40:14 EST
vhd2vl-2.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-21 18:40:32 EST
vhd2vl-2.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.